Package groovy.lang

# Class Tuple8<T1,T2,T3,T4,T5,T6,T7,T8>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple8<T1,T2,T3,T4,T5,T6,T7,T8>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable`, `Iterable`, `Collection`, `List`, `RandomAccess`

public final class Tuple8<T1,T2,T3,T4,T5,T6,T7,T8> extends Tuple
Represents a list of 8 typed Objects.

Since:
  2.5.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tuple8(Tuple8<T1,T2,T3,T4,T5,T6,T7,T8> tuple)`
  `Tuple8(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tuple8<T1,T2,T3,T4,T5,T6,T7,T8>`
  `clone()`
  `T8`
  `getEighth()`
  Deprecated.
  `T5`
  `getFifth()`
  Deprecated.
  `T1`
  `getFirst()`
  Deprecated.
  `T4`
  `getFourth()`
  Deprecated.
  `T2`
  `getSecond()`
  Deprecated.
  `T7`
  `getSeventh()`
  Deprecated.
  `T6`
  `getSixth()`
  Deprecated.
  `T3`
  `getThird()`
  Deprecated.
  `T1`
  `getV1()`
  `T2`
  `getV2()`
  `T3`
  `getV3()`
  `T4`
  `getV4()`
  `T5`
  `getV5()`
  `T6`
  `getV6()`
  `T7`
  `getV7()`
  `T8`
  `getV8()`

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator`

- ## Constructor Details

  - ### Tuple8

    public Tuple8(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8)

  - ### Tuple8

    public Tuple8(Tuple8<T1,T2,T3,T4,T5,T6,T7,T8> tuple)

- ## Method Details

  - ### getFirst

    @Deprecated public T1 getFirst()
    Deprecated.

  - ### getSecond

    @Deprecated public T2 getSecond()
    Deprecated.

  - ### getThird

    @Deprecated public T3 getThird()
    Deprecated.

  - ### getFourth

    @Deprecated public T4 getFourth()
    Deprecated.

  - ### getFifth

    @Deprecated public T5 getFifth()
    Deprecated.

  - ### getSixth

    @Deprecated public T6 getSixth()
    Deprecated.

  - ### getSeventh

    @Deprecated public T7 getSeventh()
    Deprecated.

  - ### getEighth

    @Deprecated public T8 getEighth()
    Deprecated.

  - ### getV1

    public T1 getV1()

  - ### getV2

    public T2 getV2()

  - ### getV3

    public T3 getV3()

  - ### getV4

    public T4 getV4()

  - ### getV5

    public T5 getV5()

  - ### getV6

    public T6 getV6()

  - ### getV7

    public T7 getV7()

  - ### getV8

    public T8 getV8()

  - ### clone

    public Tuple8<T1,T2,T3,T4,T5,T6,T7,T8> clone()
    Overrides:
      `clone` in class `Tuple`